python-gtkmozembed should depend on xulrunner

Bug #695728 reported by Brian Murray on 2010-12-30
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
gnome-python-extras (Debian)
Fix Released
Unknown
gnome-python-extras (Ubuntu)
High
Unassigned
Maverick
Medium
Unassigned

Bug Description

REASON FOR SRU:
python-gtkmozembed dependency on xulrunner was dropped during the 2.25.3-5 merge (Debian dropped it too), this affects people running apps depending on python-gtkmozembed w/out xulrunner installed

TEST CASE:
1. Install pytrainer without xulrunner-1.9.2 installed
2. Should fail to load similar to the message below
3. Install proposed python-gtkmozembed (should pull in xulrunner-1.9.2)
4. Should run fine

----------------------------------

Binary package hint: pytrainer

8:10:44 - flash:[/scratch] pytrainer
data_path: /usr/share/pytrainer/
DIR: /usr/share/locale
site_path: /usr/lib/python2.6/site-packages
GRE_GetGREPathWithProperties failed
Traceback (most recent call last):
  File "/usr/bin/pytr", line 51, in <module>
    from pytrainer.main import pyTrainer
  File "/usr/lib/pymodules/python2.7/pytrainer/main.py", line 48, in <module>
    from extensions.googlemaps import Googlemaps
  File "/usr/lib/pymodules/python2.7/pytrainer/extensions/googlemaps.py", line 19, in <module>
    import gtkmozembed
SystemError: dynamic module not initialized properly

ProblemType: Bug
DistroRelease: Ubuntu 11.04
Package: pytrainer 1.7.2-1.1ubuntu1
ProcVersionSignature: Ubuntu 2.6.37-11.25-generic 2.6.37-rc7
Uname: Linux 2.6.37-11-generic x86_64
Architecture: amd64
CheckboxSubmission: fee5e196cb921cbd36888f428b38b488
CheckboxSystem: 2a6f54df59af338184485e85cbcf0d32
Date: Thu Dec 30 08:16:52 2010
PackageArchitecture: all
ProcEnviron:
 LANGUAGE=en_US.UTF-8:en
 PATH=(custom, user)
 LANG=en_US.UTF-8
 LC_MESSAGES=en_AG.utf8
 SHELL=/bin/zsh
SourcePackage: pytrainer

Brian Murray (brian-murray) wrote :
Micah Gersten (micahg) wrote :

It seems the dependency on xulrunner was dropped, so unless you had it installed some other way, it would fail to start.

affects: pytrainer (Ubuntu) → gnome-python-extras (Ubuntu)
Changed in gnome-python-extras (Ubuntu):
assignee: nobody → Micah Gersten (micahg)
importance: Undecided → High
status: New → In Progress
summary: - fails to start in natty
+ pytrainer fails to start in natty
summary: - pytrainer fails to start in natty
+ python-gtkmozembed should depend on xulrunner
Micah Gersten (micahg) wrote :

This patch adds back xulrunner to the binary depends for python-gtkmozembed. Builds fine on natty with the patch

Changed in gnome-python-extras (Ubuntu):
assignee: Micah Gersten (micahg) → nobody
status: In Progress → Confirmed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-python-extras - 2.25.3-5ubuntu4

---------------
gnome-python-extras (2.25.3-5ubuntu4) natty; urgency=low

  * Have dh_xulrunner install a dependency on xulrunner for python-gtkmozembed
    again (LP: #695728)
    - update debian/rules
 -- Micah Gersten <email address hidden> Fri, 07 Jan 2011 01:03:17 -0600

Changed in gnome-python-extras (Ubuntu):
status: Confirmed → Fix Released
Micah Gersten (micahg) on 2011-01-07
description: updated
Changed in gnome-python-extras (Debian):
status: Unknown → Fix Committed
Changed in gnome-python-extras (Debian):
status: Fix Committed → Fix Released
Changed in gnome-python-extras (Ubuntu Maverick):
importance: Undecided → Medium
status: New → Triaged
Changed in gnome-python-extras (Ubuntu Maverick):
status: Triaged → Fix Committed

Accepted gnome-python-extras into maverick-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

tags: added: verification-needed
Pedro Villavicencio (pedro) wrote :

I've followed the test case and can confirm that the package on proposed indeed fix the issue it now installs the xulrunner-1.9.2 and pytrainer works again, marking this as verification-done, thanks all.

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-python-extras - 2.25.3-5ubuntu2.1

---------------
gnome-python-extras (2.25.3-5ubuntu2.1) maverick-proposed; urgency=low

  * Have dh_xulrunner install a dependency on xulrunner for python-gtkmozembed
    again (LP: #695728)
    - update debian/rules
 -- Micah Gersten <email address hidden> Fri, 07 Jan 2011 09:21:14 -0600

Changed in gnome-python-extras (Ubuntu Maverick):
status: Fix Committed → Fix Released
tags: added: testcase
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.